/**
 * Pyx4me framework
 * Copyright (C) 2006-2007 pyx4.com.
 * 
 * @author vlads
 * @version $Id: WtkJadMojo.java 103 2007-04-21 01:33:52Z vlads $
 */
package com.pyx4me.maven.j2me;

import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;

import de.pleumann.antenna.WtkJad;

/**
 * 
 * <p>
 * The WtkJad task allows to create new JAD files from scratch or modify
 * existing ones. In particular, it is able to update the MIDlet-Jar-URL and
 * MIDlet-Jar-Size keys automatically if a JAR file is specified, and increase
 * the MIDlet-Version key if automatic versioning is requested.
 * </p>
 * 
 * @goal jad
 * @phase package
 * @description Create JAD files
 * 
 */

public class WtkJadMojo extends AbstractJadWtkMojo  {

	public void execute() throws MojoExecutionException, MojoFailureException {

		WtkJad task = createWtkJadTask(classifier, false);
		
		super.executeTask(task);

	}
}
